import geom.*;

class Provageom {
	private static void stampaPoligono(Poligono p) {
		Console.scriviStringa("Tipo: " + p);
		Console.scriviStringa("Perimetro " + p.perimetro());
		Console.scriviStringa("Area " + p.area());
	}

	private static void stampaPoligonoRegolare(PoligonoRegolare p) {
		Console.scriviStringa("Apotema: " + p.apotema());
	}

	public static void main(String[] args) {
		for (;;) {
			try {
				Console.scriviStringa("Triangolo: lato a?");
				double a = Console.leggiReale();
				Console.scriviStringa("Triangolo: lato b?");
				double b = Console.leggiReale();
				Console.scriviStringa("Triangolo: lato c?");
				double c = Console.leggiReale();
				stampaPoligono(new Triangolo(a, b, c));
				break;
			} catch (PoligonoErrato e) {
				Console.scriviStringa(e.getMessage());
			}
		}
		for (;;) {
			try {
				Console.scriviStringa("Rettangolo: base?");
				double base = Console.leggiReale();
				Console.scriviStringa("Rettangolo: altezza?");
				double altezza = Console.leggiReale();
				stampaPoligono(new Rettangolo(base, altezza));
				break;
			} catch(LatoErrato e) {
				Console.scriviStringa(e.getMessage());
			}
		}
		for (;;) {
			try {
				Console.scriviStringa("Quadrato: lato?");
				double l1 = Console.leggiReale();
				Quadrato q = new Quadrato(l1);
				stampaPoligono(q);
				stampaPoligonoRegolare(q);
				break;
			} catch(LatoErrato e) {
				Console.scriviStringa(e.getMessage());
			}
		}
		for (;;) {
			try {
				Console.scriviStringa("Triangolo equilatero: lato?");
				double l2 = Console.leggiReale();
				TriangoloEquilatero te = new TriangoloEquilatero(l2);
				stampaPoligono(te);
				stampaPoligonoRegolare(te);
				break;
			} catch(PoligonoErrato e) {
				Console.scriviStringa(e.getMessage());
			}
		}
	}
}
