package geom;

abstract public class Poligono {
	protected double[] lati;

	public Poligono(double[] l) throws PoligonoErrato {
		lati = new double[l.length];
		for (int i = 0; i < l.length; i++) {
			if (l[i] < 0)
				throw new LatoErrato(l[i]);
			lati[i] = l[i];
		}
	}

	protected Poligono(int n) {
		lati = new double[n];
	}

	public double perimetro() {
		// Console.scriviStringa("Poligono.perimetro()");
		double somma = 0;
		for (double lato: lati)
			somma += lato;
		return somma;
	}

	public abstract double area();
}
