package geom;

public class Rettangolo extends Poligono {
	public Rettangolo(double b, double a) throws LatoErrato {
		super(4);

		if (b < 0) throw new LatoErrato(b);
		if (a < 0) throw new LatoErrato(a);

		lati[0] = lati[2] = b;
		lati[1] = lati[3] = a;
	}

	public double perimetro() {
		// Console.scriviStringa("Rettangolo.perimetro()");
		return (lati[0] + lati[1]) * 2;
	}

	public double area() {
		return lati[0] * lati[1];
	}

	public String toString() {
		return "rettangolo con base " + lati[0] + " e altezza " + lati[1];
	}
}
