package geom;

public class TriangoloEquilatero extends Triangolo implements PoligonoRegolare {

	public TriangoloEquilatero(double l) throws PoligonoErrato {
		super(l, l, l);
	}

	private double altezza() {
		return lati[0] * Math.sqrt(3) / 2;
	}

	public double area() {
		return lati[0] * altezza() / 2;
	}

	public double perimetro() {
		// Console.scriviStringa("TriangoloEquilatero.perimetro()");
		return lati[0] * 3;
	}

	public double apotema() {
		return altezza() / 3;
	}

	public String toString() {
		return "triangolo equilatero di lato " + lati[0];
	}
}
